package org.chenyang.http.client.utils;

import org.chenyang.http.annotation.Contract;
import org.chenyang.http.annotation.ThreadingBehavior;

/** @deprecated */
@Deprecated
@Contract(
   threading = ThreadingBehavior.IMMUTABLE
)
public class Punycode {
   private static final Idn impl;

   public static String toUnicode(String punycode) {
      return impl.toUnicode(punycode);
   }

   static {
      Idn _impl;
      try {
         _impl = new JdkIdn();
      } catch (Exception var2) {
         _impl = new Rfc3492Idn();
      }

      impl = _impl;
   }
}
